require_relative 'pledge_pool'
require_relative 'project'

module Crowdfund  
  module FundingRound
    def self.roll_die
        rand(1..6)
    end

  	def self.spend_or_receive(project)
        number_rolled = roll_die
        if number_rolled.even? 
          project.add
        else
          project.subtract
        end
        pledge = PledgePool.random
        project.received_pledge(pledge)     
  	end
  end
end